%global drupalver 6
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}

# e.g. "/usr/share/drupal6"
%global drupalbase           %{_datadir}/%{drupal}
%global drupal_sites_all    %{drupalbase}/sites/all        
%global drupal_modules      %{drupal_sites_all}/modules

# Use upstream name as expressed in URL and tarball
%global modname             votingapi

Name:    drupal%{drupalver}-%{modname}
Version: 2.3
Release: 5%{?dist}
Summary: Voting API module for Drupal6
Group:   Applications/Publishing
License: GPLv2
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/%{modname}-%{drupalver}.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6

%description
VotingAPI for Drupal 6 helps developers who want to use a standardized API
and schema for storing, retrieving, and tabulating votes for Drupal content.

%prep
%setup -qn %{modname}

%build
cp %{SOURCE1} .

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupal_modules}/%{modname}
find . -type f -exec install -m 0644 -D '{}' %{buildroot}%{drupal_modules}/%{modname}/'{}' \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
# Remember to include other documentation text here as well
%doc LICENSE.txt %{name}-fedora-README.txt
# Remember to exclude all documentation texts from above
%{drupal_modules}/%{modname}

%changelog
* Wed Mar 14 2012 Wesley Hearn <whearn@redhat.com> - 2.3-5
- Changed License from GPLv2+ to GPLv2

* Wed Mar 14 2012 Wesley Hearn <whearn@redhat.com> - 2.3-4
- Fixed License.txt

* Tue Mar 13 2012 Wesley Hearn <whearn@redhat.com> - 2.3-3
- Updated the description

* Fri Mar 9 2012 Anderson Silva <ansilva@redhat.com> - 2.3-2
- Update spec to comply with Fedora Packaging

* Mon Mar 5 2012 Anderson Silva <ansilva@redhat.com> - 2.3-1
- Initial rpm package
